from setuptools import setup, find_packages

setup(
    name="swarms",
    packages=find_packages(exclude=[]),
    version="1.4.1",
    license="MIT",
    description="Swarms - Pytorch",
    author="Kye Gomez",
    author_email="kye@apac.ai",
    long_description_content_type="text/markdown",
    url="https://github.com/kyegomez/swarms",
    keywords=[
        "artificial intelligence",
        "deep learning",
        "optimizers",
        "Prompt Engineering",
    ],
    install_requires=[
        "transformers",
        "openai",
        "langchain==0.0.240",
        "asyncio",
        "nest_asyncio",
        "pegasusx",
        "google-generativeai",
        "oceandb",
        "langchain-experimental",
        "playwright",
        "duckduckgo_search",
        "faiss-cpu",
        "wget",
        "httpx",
        "ggl",
        "beautifulsoup4",
        "pydantic",
        "tenacity",
        "celery",
        "redis",
        "google-search-results==2.4.2",
        "Pillow",
    ],
    classifiers=[
        "Development Status :: 4 - Beta",
        "Intended Audience :: Developers",
        "Topic :: Scientific/Engineering :: Artificial Intelligence",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3.6",
    ],
)
